using System;
using Server;

namespace Server.Items
{
	[FlipableAttribute( 0x22BA, 0x22BB )]
	public class Journal : BaseBook
	{
		[Constructable]
		public Journal() : base( 0x22BA, 40, true )
		{
			Hue = Utility.RandomHue();
		}

		[Constructable]
		public Journal( int pageCount, bool writable ) : base( 0x22BA, pageCount, writable )
		{
		}

		[Constructable]
		public Journal( string title, string author, int pageCount, bool writable ) : base( 0x22BA, title, author, pageCount, writable )
		{
		}

		public Journal( bool writable ) : base( 0x22BA, writable )
		{
		}

		public Journal( Serial serial ) : base( serial )
		{
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 ); // version
		}
	}
}
